commit: 4ab48e6c1f373ae3f56773a1b9fc31845576d705
Author: Arfrever Frehtes Taifersar Arahesis <Arfrever <AT> Apache <DOT> Org>
AuthorDate: Thu Sep 28 15:40:27 2017 +0000
Commit: Mike Gilbert <floppym <AT> gentoo <DOT> org>
CommitDate: Thu Sep 28 17:10:59 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4ab48e6c
dev-db/sqlite: Disable tests broken on x86 (bug #628242).
dev-db/sqlite/sqlite-3.20.1-r1.ebuild | 12 ++++++++++++
1 file changed, 12 insertions(+)
diff --git a/dev-db/sqlite/sqlite-3.20.1-r1.ebuild
b/dev-db/sqlite/sqlite-3.20.1-r1.ebuild
index 137b7b0eeb2..6b547ffb208 100644
--- a/dev-db/sqlite/sqlite-3.20.1-r1.ebuild
+++ b/dev-db/sqlite/sqlite-3.20.1-r1.ebuild
@@ -74,6 +74,18 @@ src_prepare() {
eautoreconf
multilib_copy_sources
+
+ preparation() {
+ pushd "${BUILD_DIR}" > /dev/null || die
+
+ if [[ "${ABI}" == "x86" ]]; then
+ # Disable tests broken on x86.
+ sed -e "/^for {set i 0} {\$i<1000} {incr i} {$/,/^}$/d"
-i test/date.test || die "sed failed"
+ fi
+
+ popd > /dev/null || die
+ }
+ multilib_foreach_abi preparation
}
multilib_src_configure() {